> ## Documentation Index
> Fetch the complete documentation index at: https://docs.driv.ly/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an existing Attachment



## OpenAPI

````yaml Commerce patch /attachments/{id}
openapi: 3.1.0
info:
  title: Commerce
  version: '3.0'
  contact:
    email: samuel@driv.ly
    name: Samuel Lippert
    url: https://driv.ly/
  description: Drivly Commerce API
servers:
  - url: https://commerce.driv.ly/api
security: []
paths:
  /attachments/{id}:
    parameters:
      - schema:
          type: string
        name: id
        in: path
        required: true
        description: Attachment is uniquely identified by id
      - schema:
          type: integer
        name: depth
        in: query
        required: false
        description: The number of levels of related objects to include in the response
    patch:
      summary: Update an existing Attachment
      operationId: patch-attachment
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateAttachment'
      responses:
        '200':
          description: Attachment Updated
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/Attachment'
                  success:
                    type: boolean
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorModel'
                examples:
                  - error:
                      code: 401
                      message: Unauthorized
                    success: false
        '404':
          description: Attachment Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorModel'
                examples:
                  - error:
                      code: 404
                      message: Attachment Not Found
                    success: false
        '429':
          description: Too Many Requests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorModel'
                examples:
                  - error:
                      code: 429
                      message: Too Many Requests
                    success: false
components:
  schemas:
    UpdateAttachment:
      $id: UpdateAttachment
      title: Attachment
      properties:
        id:
          type: string
          description: Attachment is uniquely identified by id
        data:
          type: object
          description: Attachment has Data
        type:
          type: string
          minLength: 1
          description: Attachment has Attachment Type
        name:
          type: string
          description: Attachment has Name
      type: object
    Attachment:
      $id: Attachment
      required:
        - id
        - data
        - type
        - name
      title: Attachment
      type: object
      properties:
        id:
          type: string
          description: Attachment is uniquely identified by id
        data:
          type: object
          description: Attachment has Data
        type:
          type: string
          minLength: 1
          description: Attachment has Attachment Type
        name:
          type: string
          description: Attachment has Name
    ErrorModel:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: number
            message:
              type: string
        success:
          type: boolean

````